#!/usr/bin/perl

#
# Usual install prefix is 
#
#	/usr/share/octave/<octave_version>/m/image
#
# for example,
#	
#	sudo ./install.pl /usr/share/octave/2.0.14/m/image
#

if ($#ARGV!=0) {
	print "usage: install.pl <install_prefix>\n";
	print " example: ./install.pl /usr/share/octave/2.0.14/m/image\n";
	exit(0);
}

if (! -d $ARGV[0]) {
	print "install.sh: directory does not exist\n";
	exit(0);
}

open(FP,"yimage.m");
open(WFP,">/tmp/yimage.tmp");
while (<FP>) {
	$_ =~ s/INSTDIR/$ARGV[0]/g;
	print WFP $_;
}
close WFP;
close FP;

`cp *.dat $ARGV[0]/`;
`cp /tmp/yimage.tmp $ARGV[0]/yimage.m`;
