#!/usr/bin/perl

use Math::CDF qw(:all);

$usage = <<EOF;
usage: qt.pl <p> <df>
	<p> : p value (ex : 0.05 for 95%, two-sided)
	<df> : degrees of freedom (n-1)
EOF

if ($#ARGV!=1) {
	print $usage;
	exit;
}

$p = $ARGV[0];
$df = $ARGV[1];
print "p = $p, df = $df, t quantile = ";
print (-qt($p/2.0,$df));
print "\n";

